body::-webkit-scrollbar {
    width: 12px;
}
  
body::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 10px;
}
  
body::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}
  
body::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.background-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background: url('../photos/background.jpg') no-repeat center center;
    background-size: cover;
    filter: blur(10px);
    background-attachment: fixed;
}
  
body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    color: #fff;
    overflow-x: hidden;
}
  
.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
}
  
header {
    text-align: center;
    margin-bottom: 20px;
}
  
#profile-pic {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-bottom: 20px;
    transition: transform 0.3s ease-in-out;
    perspective: 1000px;
}
  
#profile-pic:hover {
    transform: scale(1.1) rotateY(10deg);
}
  
h1 {
    font-weight: bold;
    font-size: 32px;
    animation: nameAnimation 3s infinite;
}
  
h2 {
    font-weight: bold;
    color: black;
}
#social-links {
    list-style-type: none;
    padding: 0;
    text-align: center;
    
}
  
#social-links li {
    display: block;
    margin-bottom: 10px;
}
  
#social-links li a {
    display: block;
    padding: 10px 20px;
    background-color: rgba(45, 47, 48, 0.7); /* Transparent background */
    color: #fff;
    text-decoration: none;
    border-radius: 25px;
    transition: background-color 0.3s ease, transform 0.3s ease;
}
  
#social-links li a:hover {
    font-weight: bold;
    color: rgb(248, 167, 17);
  /*  background-color: #0d71dc; */
    transform: translateY(-5px);
}
  
main {
    display: block;
    margin-right: 10px;
    margin-bottom: 20px;
    text-align: center;
    padding-top: 1px;
}
  
#name {
    color: white;
}

#about {
    color: white;
    font-weight: bold;
    font-size: 20px;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    margin-bottom: 20px;
    transition: background-color 0.3s ease;
    --webkit-touch-callout: none;
    --webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    /* Keep this off to keep ?compatibailty? */
    /* -ms-user-select: none; */
    user-select: none;
}

#stuff {
    font-weight: bold;
    font-size: 10px;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    margin-bottom: 20px;
    transition: background-color 0.3s ease;
    --webkit-touch-callout: none;
    --webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    /* Keep this off to keep ?compatibailty? */
    /* -ms-user-select: none; */
    user-select: none;
}

#about:hover {
    background-color: rgba(0, 0, 0, 0.7);
}

@keyframes nameAnimation {
    0% {
        transform: rotateZ(-5deg);
    }

    50% {
        transform: rotateZ(5deg);
    }

    100% {
        transform: rotateZ(-5deg);
    }
}
